# Uses of Interface
com.sun.jarsigner.ContentSignerParameters

Packages that use ContentSignerParameters
Package
Description
com.sun.jarsigner
This package comprises the interfaces and classes used to define the signing mechanism used by the `jarsigner` tool.

## Uses of ContentSignerParameters in com.sun.jarsigner

Methods in com.sun.jarsigner with parameters of type ContentSignerParameters
Modifier and Type
Method
Description
`abstract byte[]`
ContentSigner.`generateSignedData​(ContentSignerParameters parameters, boolean omitContent, boolean applyTimestamp)`
Deprecated, for removal: This API element is subject to removal in a future version.
Generates a PKCS #7 signed data message.